[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TBucketListSizes

Enumerated type to indicate bucket list size

## Declaration

Source position: contnrs.pp line 570

`type TBucketListSizes = (`
`bl2,` |  | List with 2 buckets
`bl4,` |  | List with 4 buckets
`bl8,` |  | List with 8 buckets
`bl16,` |  | List with 16 buckets
`bl32,` |  | List with 32 buckets
`bl64,` |  | List with 64 buckets
`bl128,` |  | List with 128 buckets
`bl256` |  | List with 256 buckets
`);`

## Description

TBucketListSizes is used to set the bucket list size: It specified the number of buckets created by TBucketList.

## See also

TBucketList |  | Default bucket list implementation.
TBucketList.Create |  | Create a new TBucketList instance.